<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pd@6941=09090909</action>
    </script>
  </cheat>

  <cheat desc="Clear Credits Now!">
    <script state="on">
      <action>maincpu.pd@6941=00000000</action>
    </script>
  </cheat>

  <cheat desc="Infinite Thinking Time">
    <script state="run">
      <action>maincpu.pb@6550=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Donden">
    <script state="run">
      <action>maincpu.pb@6870=05</action>
    </script>
  </cheat>

  <cheat desc="Select CPU Character">
    <parameter min="1" max="5" step="1"/>
    <script state="change">
      <action>maincpu.pb@68C8=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="The winning hand cheat must be activated when"/>
  <cheat desc="there are 14 tiles in your hand, then press"/>
  <cheat desc="the RON key ('Z' by default). The tiles do"/>
  <cheat desc="not visually change until you make a move."/>
  <cheat desc=" "/>

  <cheat desc="Always winning hand">
    <script state="run">
      <action>maincpu.pw@61C0=3131</action>
      <action>maincpu.pd@61C2=35323232</action>
      <action>maincpu.pd@61C6=36363535</action>
      <action>maincpu.pd@61CA=37373736</action>
    </script>
  </cheat>

  <cheat desc="Get winning hand Now!">
    <script state="on">
      <action>maincpu.pw@61C0=3131</action>
      <action>maincpu.pd@61C2=35323232</action>
      <action>maincpu.pd@61C6=36363535</action>
      <action>maincpu.pd@61CA=37373736</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
